Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
6.0.0.0
Broadcast address
7.255.255.255
First usable
6.0.0.1
Last usable
7.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 06000000 · Integer 100663296 to 134217727
Reverse DNS zones
6.in-addr.arpa
7.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.00000000.00000000.000000006.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00000110.00000000.00000000.000000006.0.0.0
Broadcast00000111.11111111.11111111.111111117.255.255.255
Split into smaller subnets/17

6.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.0.0.0/176.0.0.1 to 6.0.127.2546.0.127.25532,766
26.0.128.0/176.0.128.1 to 6.0.255.2546.0.255.25532,766
36.1.0.0/176.1.0.1 to 6.1.127.2546.1.127.25532,766
46.1.128.0/176.1.128.1 to 6.1.255.2546.1.255.25532,766
56.2.0.0/176.2.0.1 to 6.2.127.2546.2.127.25532,766
66.2.128.0/176.2.128.1 to 6.2.255.2546.2.255.25532,766
76.3.0.0/176.3.0.1 to 6.3.127.2546.3.127.25532,766
86.3.128.0/176.3.128.1 to 6.3.255.2546.3.255.25532,766
96.4.0.0/176.4.0.1 to 6.4.127.2546.4.127.25532,766
106.4.128.0/176.4.128.1 to 6.4.255.2546.4.255.25532,766
116.5.0.0/176.5.0.1 to 6.5.127.2546.5.127.25532,766
126.5.128.0/176.5.128.1 to 6.5.255.2546.5.255.25532,766
136.6.0.0/176.6.0.1 to 6.6.127.2546.6.127.25532,766
146.6.128.0/176.6.128.1 to 6.6.255.2546.6.255.25532,766
156.7.0.0/176.7.0.1 to 6.7.127.2546.7.127.25532,766
166.7.128.0/176.7.128.1 to 6.7.255.2546.7.255.25532,766
176.8.0.0/176.8.0.1 to 6.8.127.2546.8.127.25532,766
186.8.128.0/176.8.128.1 to 6.8.255.2546.8.255.25532,766
196.9.0.0/176.9.0.1 to 6.9.127.2546.9.127.25532,766
206.9.128.0/176.9.128.1 to 6.9.255.2546.9.255.25532,766
216.10.0.0/176.10.0.1 to 6.10.127.2546.10.127.25532,766
226.10.128.0/176.10.128.1 to 6.10.255.2546.10.255.25532,766
236.11.0.0/176.11.0.1 to 6.11.127.2546.11.127.25532,766
246.11.128.0/176.11.128.1 to 6.11.255.2546.11.255.25532,766
256.12.0.0/176.12.0.1 to 6.12.127.2546.12.127.25532,766
266.12.128.0/176.12.128.1 to 6.12.255.2546.12.255.25532,766
276.13.0.0/176.13.0.1 to 6.13.127.2546.13.127.25532,766
286.13.128.0/176.13.128.1 to 6.13.255.2546.13.255.25532,766
296.14.0.0/176.14.0.1 to 6.14.127.2546.14.127.25532,766
306.14.128.0/176.14.128.1 to 6.14.255.2546.14.255.25532,766
316.15.0.0/176.15.0.1 to 6.15.127.2546.15.127.25532,766
326.15.128.0/176.15.128.1 to 6.15.255.2546.15.255.25532,766
336.16.0.0/176.16.0.1 to 6.16.127.2546.16.127.25532,766
346.16.128.0/176.16.128.1 to 6.16.255.2546.16.255.25532,766
356.17.0.0/176.17.0.1 to 6.17.127.2546.17.127.25532,766
366.17.128.0/176.17.128.1 to 6.17.255.2546.17.255.25532,766
376.18.0.0/176.18.0.1 to 6.18.127.2546.18.127.25532,766
386.18.128.0/176.18.128.1 to 6.18.255.2546.18.255.25532,766
396.19.0.0/176.19.0.1 to 6.19.127.2546.19.127.25532,766
406.19.128.0/176.19.128.1 to 6.19.255.2546.19.255.25532,766
416.20.0.0/176.20.0.1 to 6.20.127.2546.20.127.25532,766
426.20.128.0/176.20.128.1 to 6.20.255.2546.20.255.25532,766
436.21.0.0/176.21.0.1 to 6.21.127.2546.21.127.25532,766
446.21.128.0/176.21.128.1 to 6.21.255.2546.21.255.25532,766
456.22.0.0/176.22.0.1 to 6.22.127.2546.22.127.25532,766
466.22.128.0/176.22.128.1 to 6.22.255.2546.22.255.25532,766
476.23.0.0/176.23.0.1 to 6.23.127.2546.23.127.25532,766
486.23.128.0/176.23.128.1 to 6.23.255.2546.23.255.25532,766
496.24.0.0/176.24.0.1 to 6.24.127.2546.24.127.25532,766
506.24.128.0/176.24.128.1 to 6.24.255.2546.24.255.25532,766
516.25.0.0/176.25.0.1 to 6.25.127.2546.25.127.25532,766
526.25.128.0/176.25.128.1 to 6.25.255.2546.25.255.25532,766
536.26.0.0/176.26.0.1 to 6.26.127.2546.26.127.25532,766
546.26.128.0/176.26.128.1 to 6.26.255.2546.26.255.25532,766
556.27.0.0/176.27.0.1 to 6.27.127.2546.27.127.25532,766
566.27.128.0/176.27.128.1 to 6.27.255.2546.27.255.25532,766
576.28.0.0/176.28.0.1 to 6.28.127.2546.28.127.25532,766
586.28.128.0/176.28.128.1 to 6.28.255.2546.28.255.25532,766
596.29.0.0/176.29.0.1 to 6.29.127.2546.29.127.25532,766
606.29.128.0/176.29.128.1 to 6.29.255.2546.29.255.25532,766
616.30.0.0/176.30.0.1 to 6.30.127.2546.30.127.25532,766
626.30.128.0/176.30.128.1 to 6.30.255.2546.30.255.25532,766
636.31.0.0/176.31.0.1 to 6.31.127.2546.31.127.25532,766
646.31.128.0/176.31.128.1 to 6.31.255.2546.31.255.25532,766
656.32.0.0/176.32.0.1 to 6.32.127.2546.32.127.25532,766
666.32.128.0/176.32.128.1 to 6.32.255.2546.32.255.25532,766
676.33.0.0/176.33.0.1 to 6.33.127.2546.33.127.25532,766
686.33.128.0/176.33.128.1 to 6.33.255.2546.33.255.25532,766
696.34.0.0/176.34.0.1 to 6.34.127.2546.34.127.25532,766
706.34.128.0/176.34.128.1 to 6.34.255.2546.34.255.25532,766
716.35.0.0/176.35.0.1 to 6.35.127.2546.35.127.25532,766
726.35.128.0/176.35.128.1 to 6.35.255.2546.35.255.25532,766
736.36.0.0/176.36.0.1 to 6.36.127.2546.36.127.25532,766
746.36.128.0/176.36.128.1 to 6.36.255.2546.36.255.25532,766
756.37.0.0/176.37.0.1 to 6.37.127.2546.37.127.25532,766
766.37.128.0/176.37.128.1 to 6.37.255.2546.37.255.25532,766
776.38.0.0/176.38.0.1 to 6.38.127.2546.38.127.25532,766
786.38.128.0/176.38.128.1 to 6.38.255.2546.38.255.25532,766
796.39.0.0/176.39.0.1 to 6.39.127.2546.39.127.25532,766
806.39.128.0/176.39.128.1 to 6.39.255.2546.39.255.25532,766
816.40.0.0/176.40.0.1 to 6.40.127.2546.40.127.25532,766
826.40.128.0/176.40.128.1 to 6.40.255.2546.40.255.25532,766
836.41.0.0/176.41.0.1 to 6.41.127.2546.41.127.25532,766
846.41.128.0/176.41.128.1 to 6.41.255.2546.41.255.25532,766
856.42.0.0/176.42.0.1 to 6.42.127.2546.42.127.25532,766
866.42.128.0/176.42.128.1 to 6.42.255.2546.42.255.25532,766
876.43.0.0/176.43.0.1 to 6.43.127.2546.43.127.25532,766
886.43.128.0/176.43.128.1 to 6.43.255.2546.43.255.25532,766
896.44.0.0/176.44.0.1 to 6.44.127.2546.44.127.25532,766
906.44.128.0/176.44.128.1 to 6.44.255.2546.44.255.25532,766
916.45.0.0/176.45.0.1 to 6.45.127.2546.45.127.25532,766
926.45.128.0/176.45.128.1 to 6.45.255.2546.45.255.25532,766
936.46.0.0/176.46.0.1 to 6.46.127.2546.46.127.25532,766
946.46.128.0/176.46.128.1 to 6.46.255.2546.46.255.25532,766
956.47.0.0/176.47.0.1 to 6.47.127.2546.47.127.25532,766
966.47.128.0/176.47.128.1 to 6.47.255.2546.47.255.25532,766
976.48.0.0/176.48.0.1 to 6.48.127.2546.48.127.25532,766
986.48.128.0/176.48.128.1 to 6.48.255.2546.48.255.25532,766
996.49.0.0/176.49.0.1 to 6.49.127.2546.49.127.25532,766
1006.49.128.0/176.49.128.1 to 6.49.255.2546.49.255.25532,766
1016.50.0.0/176.50.0.1 to 6.50.127.2546.50.127.25532,766
1026.50.128.0/176.50.128.1 to 6.50.255.2546.50.255.25532,766
1036.51.0.0/176.51.0.1 to 6.51.127.2546.51.127.25532,766
1046.51.128.0/176.51.128.1 to 6.51.255.2546.51.255.25532,766
1056.52.0.0/176.52.0.1 to 6.52.127.2546.52.127.25532,766
1066.52.128.0/176.52.128.1 to 6.52.255.2546.52.255.25532,766
1076.53.0.0/176.53.0.1 to 6.53.127.2546.53.127.25532,766
1086.53.128.0/176.53.128.1 to 6.53.255.2546.53.255.25532,766
1096.54.0.0/176.54.0.1 to 6.54.127.2546.54.127.25532,766
1106.54.128.0/176.54.128.1 to 6.54.255.2546.54.255.25532,766
1116.55.0.0/176.55.0.1 to 6.55.127.2546.55.127.25532,766
1126.55.128.0/176.55.128.1 to 6.55.255.2546.55.255.25532,766
1136.56.0.0/176.56.0.1 to 6.56.127.2546.56.127.25532,766
1146.56.128.0/176.56.128.1 to 6.56.255.2546.56.255.25532,766
1156.57.0.0/176.57.0.1 to 6.57.127.2546.57.127.25532,766
1166.57.128.0/176.57.128.1 to 6.57.255.2546.57.255.25532,766
1176.58.0.0/176.58.0.1 to 6.58.127.2546.58.127.25532,766
1186.58.128.0/176.58.128.1 to 6.58.255.2546.58.255.25532,766
1196.59.0.0/176.59.0.1 to 6.59.127.2546.59.127.25532,766
1206.59.128.0/176.59.128.1 to 6.59.255.2546.59.255.25532,766
1216.60.0.0/176.60.0.1 to 6.60.127.2546.60.127.25532,766
1226.60.128.0/176.60.128.1 to 6.60.255.2546.60.255.25532,766
1236.61.0.0/176.61.0.1 to 6.61.127.2546.61.127.25532,766
1246.61.128.0/176.61.128.1 to 6.61.255.2546.61.255.25532,766
1256.62.0.0/176.62.0.1 to 6.62.127.2546.62.127.25532,766
1266.62.128.0/176.62.128.1 to 6.62.255.2546.62.255.25532,766
1276.63.0.0/176.63.0.1 to 6.63.127.2546.63.127.25532,766
1286.63.128.0/176.63.128.1 to 6.63.255.2546.63.255.25532,766
1296.64.0.0/176.64.0.1 to 6.64.127.2546.64.127.25532,766
1306.64.128.0/176.64.128.1 to 6.64.255.2546.64.255.25532,766
1316.65.0.0/176.65.0.1 to 6.65.127.2546.65.127.25532,766
1326.65.128.0/176.65.128.1 to 6.65.255.2546.65.255.25532,766
1336.66.0.0/176.66.0.1 to 6.66.127.2546.66.127.25532,766
1346.66.128.0/176.66.128.1 to 6.66.255.2546.66.255.25532,766
1356.67.0.0/176.67.0.1 to 6.67.127.2546.67.127.25532,766
1366.67.128.0/176.67.128.1 to 6.67.255.2546.67.255.25532,766
1376.68.0.0/176.68.0.1 to 6.68.127.2546.68.127.25532,766
1386.68.128.0/176.68.128.1 to 6.68.255.2546.68.255.25532,766
1396.69.0.0/176.69.0.1 to 6.69.127.2546.69.127.25532,766
1406.69.128.0/176.69.128.1 to 6.69.255.2546.69.255.25532,766
1416.70.0.0/176.70.0.1 to 6.70.127.2546.70.127.25532,766
1426.70.128.0/176.70.128.1 to 6.70.255.2546.70.255.25532,766
1436.71.0.0/176.71.0.1 to 6.71.127.2546.71.127.25532,766
1446.71.128.0/176.71.128.1 to 6.71.255.2546.71.255.25532,766
1456.72.0.0/176.72.0.1 to 6.72.127.2546.72.127.25532,766
1466.72.128.0/176.72.128.1 to 6.72.255.2546.72.255.25532,766
1476.73.0.0/176.73.0.1 to 6.73.127.2546.73.127.25532,766
1486.73.128.0/176.73.128.1 to 6.73.255.2546.73.255.25532,766
1496.74.0.0/176.74.0.1 to 6.74.127.2546.74.127.25532,766
1506.74.128.0/176.74.128.1 to 6.74.255.2546.74.255.25532,766
1516.75.0.0/176.75.0.1 to 6.75.127.2546.75.127.25532,766
1526.75.128.0/176.75.128.1 to 6.75.255.2546.75.255.25532,766
1536.76.0.0/176.76.0.1 to 6.76.127.2546.76.127.25532,766
1546.76.128.0/176.76.128.1 to 6.76.255.2546.76.255.25532,766
1556.77.0.0/176.77.0.1 to 6.77.127.2546.77.127.25532,766
1566.77.128.0/176.77.128.1 to 6.77.255.2546.77.255.25532,766
1576.78.0.0/176.78.0.1 to 6.78.127.2546.78.127.25532,766
1586.78.128.0/176.78.128.1 to 6.78.255.2546.78.255.25532,766
1596.79.0.0/176.79.0.1 to 6.79.127.2546.79.127.25532,766
1606.79.128.0/176.79.128.1 to 6.79.255.2546.79.255.25532,766
1616.80.0.0/176.80.0.1 to 6.80.127.2546.80.127.25532,766
1626.80.128.0/176.80.128.1 to 6.80.255.2546.80.255.25532,766
1636.81.0.0/176.81.0.1 to 6.81.127.2546.81.127.25532,766
1646.81.128.0/176.81.128.1 to 6.81.255.2546.81.255.25532,766
1656.82.0.0/176.82.0.1 to 6.82.127.2546.82.127.25532,766
1666.82.128.0/176.82.128.1 to 6.82.255.2546.82.255.25532,766
1676.83.0.0/176.83.0.1 to 6.83.127.2546.83.127.25532,766
1686.83.128.0/176.83.128.1 to 6.83.255.2546.83.255.25532,766
1696.84.0.0/176.84.0.1 to 6.84.127.2546.84.127.25532,766
1706.84.128.0/176.84.128.1 to 6.84.255.2546.84.255.25532,766
1716.85.0.0/176.85.0.1 to 6.85.127.2546.85.127.25532,766
1726.85.128.0/176.85.128.1 to 6.85.255.2546.85.255.25532,766
1736.86.0.0/176.86.0.1 to 6.86.127.2546.86.127.25532,766
1746.86.128.0/176.86.128.1 to 6.86.255.2546.86.255.25532,766
1756.87.0.0/176.87.0.1 to 6.87.127.2546.87.127.25532,766
1766.87.128.0/176.87.128.1 to 6.87.255.2546.87.255.25532,766
1776.88.0.0/176.88.0.1 to 6.88.127.2546.88.127.25532,766
1786.88.128.0/176.88.128.1 to 6.88.255.2546.88.255.25532,766
1796.89.0.0/176.89.0.1 to 6.89.127.2546.89.127.25532,766
1806.89.128.0/176.89.128.1 to 6.89.255.2546.89.255.25532,766
1816.90.0.0/176.90.0.1 to 6.90.127.2546.90.127.25532,766
1826.90.128.0/176.90.128.1 to 6.90.255.2546.90.255.25532,766
1836.91.0.0/176.91.0.1 to 6.91.127.2546.91.127.25532,766
1846.91.128.0/176.91.128.1 to 6.91.255.2546.91.255.25532,766
1856.92.0.0/176.92.0.1 to 6.92.127.2546.92.127.25532,766
1866.92.128.0/176.92.128.1 to 6.92.255.2546.92.255.25532,766
1876.93.0.0/176.93.0.1 to 6.93.127.2546.93.127.25532,766
1886.93.128.0/176.93.128.1 to 6.93.255.2546.93.255.25532,766
1896.94.0.0/176.94.0.1 to 6.94.127.2546.94.127.25532,766
1906.94.128.0/176.94.128.1 to 6.94.255.2546.94.255.25532,766
1916.95.0.0/176.95.0.1 to 6.95.127.2546.95.127.25532,766
1926.95.128.0/176.95.128.1 to 6.95.255.2546.95.255.25532,766
1936.96.0.0/176.96.0.1 to 6.96.127.2546.96.127.25532,766
1946.96.128.0/176.96.128.1 to 6.96.255.2546.96.255.25532,766
1956.97.0.0/176.97.0.1 to 6.97.127.2546.97.127.25532,766
1966.97.128.0/176.97.128.1 to 6.97.255.2546.97.255.25532,766
1976.98.0.0/176.98.0.1 to 6.98.127.2546.98.127.25532,766
1986.98.128.0/176.98.128.1 to 6.98.255.2546.98.255.25532,766
1996.99.0.0/176.99.0.1 to 6.99.127.2546.99.127.25532,766
2006.99.128.0/176.99.128.1 to 6.99.255.2546.99.255.25532,766
2016.100.0.0/176.100.0.1 to 6.100.127.2546.100.127.25532,766
2026.100.128.0/176.100.128.1 to 6.100.255.2546.100.255.25532,766
2036.101.0.0/176.101.0.1 to 6.101.127.2546.101.127.25532,766
2046.101.128.0/176.101.128.1 to 6.101.255.2546.101.255.25532,766
2056.102.0.0/176.102.0.1 to 6.102.127.2546.102.127.25532,766
2066.102.128.0/176.102.128.1 to 6.102.255.2546.102.255.25532,766
2076.103.0.0/176.103.0.1 to 6.103.127.2546.103.127.25532,766
2086.103.128.0/176.103.128.1 to 6.103.255.2546.103.255.25532,766
2096.104.0.0/176.104.0.1 to 6.104.127.2546.104.127.25532,766
2106.104.128.0/176.104.128.1 to 6.104.255.2546.104.255.25532,766
2116.105.0.0/176.105.0.1 to 6.105.127.2546.105.127.25532,766
2126.105.128.0/176.105.128.1 to 6.105.255.2546.105.255.25532,766
2136.106.0.0/176.106.0.1 to 6.106.127.2546.106.127.25532,766
2146.106.128.0/176.106.128.1 to 6.106.255.2546.106.255.25532,766
2156.107.0.0/176.107.0.1 to 6.107.127.2546.107.127.25532,766
2166.107.128.0/176.107.128.1 to 6.107.255.2546.107.255.25532,766
2176.108.0.0/176.108.0.1 to 6.108.127.2546.108.127.25532,766
2186.108.128.0/176.108.128.1 to 6.108.255.2546.108.255.25532,766
2196.109.0.0/176.109.0.1 to 6.109.127.2546.109.127.25532,766
2206.109.128.0/176.109.128.1 to 6.109.255.2546.109.255.25532,766
2216.110.0.0/176.110.0.1 to 6.110.127.2546.110.127.25532,766
2226.110.128.0/176.110.128.1 to 6.110.255.2546.110.255.25532,766
2236.111.0.0/176.111.0.1 to 6.111.127.2546.111.127.25532,766
2246.111.128.0/176.111.128.1 to 6.111.255.2546.111.255.25532,766
2256.112.0.0/176.112.0.1 to 6.112.127.2546.112.127.25532,766
2266.112.128.0/176.112.128.1 to 6.112.255.2546.112.255.25532,766
2276.113.0.0/176.113.0.1 to 6.113.127.2546.113.127.25532,766
2286.113.128.0/176.113.128.1 to 6.113.255.2546.113.255.25532,766
2296.114.0.0/176.114.0.1 to 6.114.127.2546.114.127.25532,766
2306.114.128.0/176.114.128.1 to 6.114.255.2546.114.255.25532,766
2316.115.0.0/176.115.0.1 to 6.115.127.2546.115.127.25532,766
2326.115.128.0/176.115.128.1 to 6.115.255.2546.115.255.25532,766
2336.116.0.0/176.116.0.1 to 6.116.127.2546.116.127.25532,766
2346.116.128.0/176.116.128.1 to 6.116.255.2546.116.255.25532,766
2356.117.0.0/176.117.0.1 to 6.117.127.2546.117.127.25532,766
2366.117.128.0/176.117.128.1 to 6.117.255.2546.117.255.25532,766
2376.118.0.0/176.118.0.1 to 6.118.127.2546.118.127.25532,766
2386.118.128.0/176.118.128.1 to 6.118.255.2546.118.255.25532,766
2396.119.0.0/176.119.0.1 to 6.119.127.2546.119.127.25532,766
2406.119.128.0/176.119.128.1 to 6.119.255.2546.119.255.25532,766
2416.120.0.0/176.120.0.1 to 6.120.127.2546.120.127.25532,766
2426.120.128.0/176.120.128.1 to 6.120.255.2546.120.255.25532,766
2436.121.0.0/176.121.0.1 to 6.121.127.2546.121.127.25532,766
2446.121.128.0/176.121.128.1 to 6.121.255.2546.121.255.25532,766
2456.122.0.0/176.122.0.1 to 6.122.127.2546.122.127.25532,766
2466.122.128.0/176.122.128.1 to 6.122.255.2546.122.255.25532,766
2476.123.0.0/176.123.0.1 to 6.123.127.2546.123.127.25532,766
2486.123.128.0/176.123.128.1 to 6.123.255.2546.123.255.25532,766
2496.124.0.0/176.124.0.1 to 6.124.127.2546.124.127.25532,766
2506.124.128.0/176.124.128.1 to 6.124.255.2546.124.255.25532,766
2516.125.0.0/176.125.0.1 to 6.125.127.2546.125.127.25532,766
2526.125.128.0/176.125.128.1 to 6.125.255.2546.125.255.25532,766
2536.126.0.0/176.126.0.1 to 6.126.127.2546.126.127.25532,766
2546.126.128.0/176.126.128.1 to 6.126.255.2546.126.255.25532,766
2556.127.0.0/176.127.0.1 to 6.127.127.2546.127.127.25532,766
2566.127.128.0/176.127.128.1 to 6.127.255.2546.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses